Subject: Re: bug#11583: 24.0.97; 24 pretest Emacs.app crashes closing frames

From: Jan Djärv <[email-masked]>
Date: Mon, 11 Jun 2012 18:57:57 +0200

Hello.

4 jun 2012 kl. 23:11 skrev Steven Parkes:

> 
> On Jun 4, 2012, at 2:09 PM, Jan Djärv wrote:
> 
>> I am debugging this. It is some wierd stack corruption that only happens with an optimized build.  Still looking...
> 
> Thanks. Let me know if there's anything I can do to help ...

Free:d memory was being used.  As I can't reproduce the bug could you run with it for a while and see if it fixed?  The fix is checked in in the emacs-24 branch.  I guess it will propagate to the trunk.

After much debugging I think the stack corruption is partly a gdb-bug.  Stepping through the code shows different values for f, but if I print out the value at the end of the function, it prints the correct value, but not what GDB prints.

Stack corruption could have happend before, when free:d memory was used though.

	Jan D.